Skip to main content

Provider for Apache Airflow. Implements apache-airflow-providers-docker package

Project description

Package apache-airflow-providers-docker

Release: 2.7.0

Docker

Provider package

This is a provider package for docker provider. All classes for this provider package are in airflow.providers.docker python package.

You can find package information and changelog for the provider in the documentation.

Installation

You can install this package on top of an existing Airflow 2.1+ installation via pip install apache-airflow-providers-docker

The package supports the following python versions: 3.7,3.8,3.9,3.10

PIP requirements

PIP package Version required
apache-airflow >=2.1.0
docker >=5.0.3

Changelog

2.7.0

Features

  • Add 'device_requests' parameter to 'DockerOperator' (#23554)

Bug Fixes

  • Fix new MyPy errors in main (#22884)

2.6.0

Features

  • Add timeout parameter to 'DockerOperator' (#22502)

2.5.2

Bug Fixes

  • Fix mistakenly added install_requires for all providers (#22382)

Misc

  • Correct 'multiple_outputs' param descriptions mentioning lists/tuples (#22371)

2.5.1

Bug Fixes

  • Avoid trying to kill container when it did not succeed for Docker (#22145)

Misc

  • Add Trove classifiers in PyPI (Framework :: Apache Airflow :: Provider)

2.5.0

Features

  • added docker network_mode options (#21986)

Misc

  • Support for Python 3.10

2.4.1

Bug Fixes

  • Fixes Docker xcom functionality (#21175)
  • Fix docker behaviour with byte lines returned (#21429)

2.4.0

Features

  • Allow DockerOperator's image to be templated (#19997)

2.3.0

Features

  • Add support of placement in the DockerSwarmOperator (#18990)

Bug Fixes

  • Fixup string concatenations (#19099)
  • Remove the docker timeout workaround (#18872)

Other

  • Move docker decorator example dag to docker provider (#18739)

2.2.0

Features

  • Add a Docker Taskflow decorator (#15330)

This version of Docker Provider has a new feature - TaskFlow decorator that only works in Airflow 2.2. If you try to use the decorator in pre-Airflow 2.2 version you will get an error:

AttributeError: '_TaskDecorator' object has no attribute 'docker'

2.1.1

Features

  • Add support for configs, secrets, networks and replicas for DockerSwarmOperator (#17474)

Misc

  • Optimise connection importing for Airflow 2.2.0

2.1.0

Features

  • Adds option to disable mounting temporary folder in DockerOperator (#16932)

Bug Fixes

  • [FIX] Docker provider - retry docker in docker (#17061)
  • fix string encoding when using xcom / json (#13536)
  • if xcom_all is set to False, only the last line of the log (separated by \n) will be included in the XCom value

The DockerOperator in version 2.0.0 did not work for remote Docker Engine or Docker-In-Docker case. That was an unintended side effect of #15843 that has been fixed in #16932. There is a fallback mode which will make Docker Operator works with warning and you will be able to remove the warning by using the new parameter to disable mounting the folder.

2.0.0

Breaking changes

  • Auto-apply apply_default decorator (#15667)

Warning

Due to apply_default decorator removal, this version of the provider requires Airflow 2.1.0+. If your Airflow version is < 2.1.0, and you want to install this provider version, first upgrade Airflow to at least version 2.1.0. Otherwise your Airflow package version will be upgraded automatically and you will have to manually run airflow upgrade db to complete the migration.

  • Replace DockerOperator's 'volumes' arg for 'mounts' (#15843)

The volumes parameter in airflow.providers.docker.operators.docker.DockerOperator and airflow.providers.docker.operators.docker_swarm.DockerSwarmOperator was replaced by the mounts parameter, which uses the newer mount syntax instead of --bind.

1.2.0

Features

  • Entrypoint support in docker operator (#14642)
  • Add PythonVirtualenvDecorator to Taskflow API (#14761)
  • Support all terminus task states in Docker Swarm Operator (#14960)

1.1.0

Features

  • Add privileged option in DockerOperator (#14157)

1.0.2

Bug fixes

  • Corrections in docs and tools after releasing provider RCs (#14082)

1.0.1

Updated documentation and readme files.

Bug fixes

  • Remove failed DockerOperator tasks with auto_remove=True (#13532) (#13993)
  • Fix error on DockerSwarmOperator with auto_remove True (#13532) (#13852)

1.0.0

Initial version of the provider.

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Source Distribution

apache-airflow-providers-docker-2.7.0.tar.gz (25.4 kB view hashes)

Uploaded source

Built Distribution

Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Huawei Huawei PSF Sponsor Microsoft Microsoft PSF Sponsor NVIDIA NVIDIA PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page